#include <Adafruit_NeoPixel.h>
#include <avr/power.h> // Comment out this line for non-AVR boards (Arduino Due, etc.)

#define PIN 12

boolean pressed = 0;
float time = 0;
int brightness = 0;
int currentTime = 0;
int pastTime = 0;
unsigned long interval = 0;
int brightness2 = 0;
int brightness3 = 0;
int brightness4 = 0;
int brightness5 = 0;
int brightness6 = 0;
int brightness7 = 0;
int green = 0;
float time2 = 0;
int pressed2 = 0;
float time3 = 0;
float time4 = 0;
float time5 = 0;
float time6 = 0;
float time7 = 0;
float time8 = 0;
float time9 = 0;
int increment = 12;
int interval2 = 0;
int ledcounter = 0;

Adafruit_NeoPixel strip = Adafruit_NeoPixel(6, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  // This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
#if defined (__AVR_ATtiny85__)
  if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
#endif
  // End of trinket special code
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
  pinMode(3, INPUT_PULLUP);
  pinMode(13, OUTPUT);
  Serial.begin(9600);
  pastTime = millis();
}

void loop() {
  
  
  digitalWrite(13, LOW);
  pressed = digitalRead(3);
  
  
  
  if (pressed == 0) {
    
    
    
    if (time > 0 && pressed2 == 0){
      time = 0;
    }
    
    
    
    pressed2 = 1;
    
    
    
    if (time < 1){
      brightness2 = 0;
      brightness3 = 0;
      brightness4 = 0;
      brightness5 = 0;
      brightness6 = 0;
      brightness7 = 0;
    }
    if (brightness2 < 255){
    brightness2 = brightness2 + increment;
    }
    if (time > 255 && brightness3 < 255){
      brightness3 = brightness3 + increment;
    } 
    if (brightness2 < 255){
      strip.setPixelColor(0, 0, 0, brightness2);
      strip.show();      
    }
    else {
      strip.setPixelColor(0, 255, 0, 0);
      strip.show();
    }
    if (brightness3 < 255){
      strip.setPixelColor(1, 0, 0, brightness3);
      strip.show();      
    }
    else {
      strip.setPixelColor(1, 255, 0, 0);
      strip.show();
    }
    
    
    
    if (time > 510 && brightness4 < 255){
      brightness4 = brightness4 + increment;
    } 
    if (brightness4 < 255){
      strip.setPixelColor(2, 0, 0, brightness4);
      strip.show();      
    }
    else {
      strip.setPixelColor(2, 255, 0, 0);
      strip.show();
    }

    if (time > 765 && brightness5 < 255){
      brightness5 = brightness5 + increment;
    } 
    if (brightness5 < 255){
      strip.setPixelColor(3, 0, 0, brightness5);
      strip.show();      
    }
    else {
      strip.setPixelColor(3, 255, 0, 0);
      strip.show();
    }

    if (time > 1020 && brightness6 < 255){
      brightness6 = brightness6 + increment;
    } 
    if (brightness6 < 255){
      strip.setPixelColor(4, 0, 0, brightness6);
      strip.show();      
    }
    else {
      strip.setPixelColor(4, 255, 0, 0);
      strip.show();
    }

    if (time > 1275 && brightness7 < 255){
      brightness7 = brightness7 + increment;
    } 
    if (brightness7 < 255){
      strip.setPixelColor(5, 0, 0, brightness7);
      strip.show();      
    }
    else {
      strip.setPixelColor(5, 255, 0, 0);
      strip.show();
    }


    digitalWrite(13, HIGH);
    time = time + increment;
 
 
    Serial.print("Setting time: ");
    Serial.println(time);
    brightness = 255;
    interval = time*100 / 255;
    Serial.print("Interval: ");
    Serial.println(interval);
  
  
  
  
  }
  else {
    
    
    
    time4 = time;
    time5 = time-255;
    time6 = time-510;
    time7 = time-765;
    time8 = time-1020;
    time9 = time-1275;
    
    pressed2 = 0;
     
     if (time <= 0){
     time = 0;
     }


     
     time = time - 6;
     
     if (time4 > 255){
       time4 = 255;
     }
     if (time4 <= 0){
       time4 = 0;
     }
     if (time5 > 255){
       time5 = 255;
     }
     if (time5 <= 0){
       time5 = 0;
     }
    
    
     
     if (time6 > 255){
       time6 = 255;
     }
     if (time6 <= 0){
       time6 = 0;
     }
     
     if (time7 > 255){
       time7 = 255;
     }
     if (time7 <= 0){
       time7 = 0;
     }
     
     if (time8 > 255){
       time8 = 255;
     }
     if (time8 <= 0){
       time8 = 0;
     }     
     
      if (time9 > 255){
       time9 = 255;
     }
     if (time9 <= 0){
       time9 = 0;
     }       

    
    
    Serial.println(time); 
    Serial.println(time4);
    Serial.print(" time4");  
      
      
      strip.setPixelColor(0, time4, 0, 0);
      strip.show();
      strip.setPixelColor(1, time5, 0, 0);
      strip.show();
      
      
      strip.setPixelColor(2, time6, 0, 0);
      strip.show();
      strip.setPixelColor(3, time7, 0, 0);
      strip.show();      
      strip.setPixelColor(4, time8, 0, 0);
      strip.show();      
      strip.setPixelColor(5, time9, 0, 0);
      strip.show();       
    
      
   }
  if (time >= 1530){
    time = 1530;
  }
  
  if (pressed2 == 0 && time <= 0){
      strip.setPixelColor(0, 0, sin(millis())*255, 0);
      strip.show(); 
     strip.setPixelColor(1, 0, sin(millis())*255, 0);
      strip.show();
     strip.setPixelColor(2, 0, sin(millis())*255, 0);
      strip.show();
     strip.setPixelColor(3, 0, sin(millis())*255, 0);
      strip.show();
     strip.setPixelColor(4, 0, sin(millis())*255, 0);
      strip.show();
     strip.setPixelColor(5, 0, sin(millis())*255, 0);
      strip.show(); 
  }
   
 
}








